Bug 1000744 - AttributeError: 'LiveImageEditor' object has no attribute 'docleanup'
AttributeError: 'LiveImageEditor' object has no attribute 'docleanup'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 17:02 EDT by Fabian Deutsch
Modified: 2014-02-26 09:01 EST (History)
6 users (show)

See Also:
Fixed In Version: livecd-tools-20.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 09:01:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-08-24 17:02:37 EDT
Description of problem:
edit-livecd raises an exception:
$ sudo edit-livecd -s foo.sh ~/Downloads/Fedora-19-Nightly-20130412.13-x86_64-Live-desktop-20130412.13-1.iso 
/home/fdeutsch/Downloads/Fedora-19-Nightly-20130412.13-x86_64-Live-desktop-20130412.13-1.iso
Traceback (most recent call last):
  File "/bin/edit-livecd", line 723, in <module>
    sys.exit(main())
  File "/bin/edit-livecd", line 718, in main
    editor.cleanup()
  File "/usr/lib/python2.7/site-packages/imgcreate/creator.py", line 564, in cleanup
    if not self.docleanup:
AttributeError: 'LiveImageEditor' object has no attribute 'docleanup'
Exception AttributeError: "'LiveImageEditor' object has no attribute 'docleanup'" in <bound method LiveImageEditor.__del__ of <__main__.LiveImageEditor object at 0x1f52650>> ignored


Version-Release number of selected component (if applicable):
$ rpm -q livecd-tools
livecd-tools-19.6-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. run: sudo edit-livecd -s foo.sh $ISO
2.
3.

Actual results:
Fails with exception

Expected results:
Succeeds without exception

Additional info:
Comment 1 Fedora Update System 2014-01-31 17:59:52 EST
livecd-tools-20.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/livecd-tools-20.4-1.fc20
Comment 2 Fedora Update System 2014-01-31 19:52:34 EST
livecd-tools-19.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/livecd-tools-19.9-1.fc19
Comment 3 Fedora Update System 2014-02-02 21:39:03 EST
Package livecd-tools-20.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-20.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1911/livecd-tools-20.4-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-02-26 08:59:08 EST
livecd-tools-19.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-02-26 09:01:31 EST
livecd-tools-20.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.